wicket.request
Interface IRequestTargetMounter

All Known Subinterfaces:
IRequestCodingStrategy, IRequestTargetMountsInfo
All Known Implementing Classes:
CryptedUrlWebRequestCodingStrategy, PortletRequestCodingStrategy, WebRequestCodingStrategy, WebURLCompressingCodingStrategy

public interface IRequestTargetMounter

Defines the contract for mounting request targets to paths.

Author:
Eelco Hillenius

Method Summary
 void mount(java.lang.String path, IRequestTargetUrlCodingStrategy urlCodingStrategy)
          Mounts a request target with the given path.
 java.lang.CharSequence pathForTarget(IRequestTarget requestTarget)
          Gets the url that the provided request target conforms to.
 IRequestTarget targetForRequest(RequestParameters requestParameters)
          Gets the request target that conforms to the given request parameters.
 void unmount(java.lang.String path)
          Unmounts a request target.
 IRequestTargetUrlCodingStrategy urlCodingStrategyForPath(java.lang.String path)
          Gets the encoder that was mounted on the provided path if any.
 

Method Detail

mount

void mount(java.lang.String path,
           IRequestTargetUrlCodingStrategy urlCodingStrategy)
Mounts a request target with the given path.

Parameters:
path - the path to mount the request target with
urlCodingStrategy - The strategy to use for encoding and decoding urls

unmount

void unmount(java.lang.String path)
Unmounts a request target.

Parameters:
path - the path to unmount

urlCodingStrategyForPath

IRequestTargetUrlCodingStrategy urlCodingStrategyForPath(java.lang.String path)
Gets the encoder that was mounted on the provided path if any.

Parameters:
path - the path
Returns:
The encoder/decoder that was mounted on the provided path, if any

pathForTarget

java.lang.CharSequence pathForTarget(IRequestTarget requestTarget)
Gets the url that the provided request target conforms to.

Parameters:
requestTarget - the request target
Returns:
The url that the provided request target conforms to

targetForRequest

IRequestTarget targetForRequest(RequestParameters requestParameters)
Gets the request target that conforms to the given request parameters.

Parameters:
requestParameters - the request parameters
Returns:
the request target or null if nothing was mounted with the given request parameters


Copyright © 2004-2007 Wicket developers. All Rights Reserved.